Update current user's payout profile
PATCH
/v1/referral/payout-profileAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsonaccount_namestringaccount_numberstringbank_namestringewallet_idstringewallet_providerstringupdated_atstringResponses
200OK
account_namestringaccount_numberstringbank_namestringewallet_idstringewallet_providerstringupdated_atstring400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PATCH "/v1/referral/payout-profile" \
-H "Content-Type: application/json" \
-d '{
"account_name": "string",
"account_number": "string",
"bank_name": "string",
"ewallet_id": "string",
"ewallet_provider": "string",
"updated_at": "string"
}'const response = await fetch("/v1/referral/payout-profile", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"account_name": "string",
"account_number": "string",
"bank_name": "string",
"ewallet_id": "string",
"ewallet_provider": "string",
"updated_at": "string"
})
});import requests
response = requests.patch(
"/v1/referral/payout-profile",
headers={
"Content-Type": "application/json"
},
json={
"account_name": "string",
"account_number": "string",
"bank_name": "string",
"ewallet_id": "string",
"ewallet_provider": "string",
"updated_at": "string"
},
)Response
{
"account_name": "string",
"account_number": "string",
"bank_name": "string",
"ewallet_id": "string",
"ewallet_provider": "string",
"updated_at": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}